$ErrorActionPreference = 'Stop';

$packageName= 'invantive-data-hub'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Data%20Hub-17.32.171.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Data%20Hub-17.32.171.msi'
  softwareName = 'Invantive Data Hub'
  checksum = 'BFBEF4AE8ED2FEAC32D1D83DA161E6487CA03BF5391BA41AFA95ED56F9C3EE18'
  checksumType = 'sha256'
  checksum64 = 'BFBEF4AE8ED2FEAC32D1D83DA161E6487CA03BF5391BA41AFA95ED56F9C3EE18'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-data-hub-17.32.171-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
